# TypeScript

## Types

Types are exported.&#x20;

{% tabs %}
{% tab title="TS" %}

<pre class="language-tsx"><code class="lang-tsx"><strong>import type { ITokenSSO } from '@token-public-org/token-sso-react-library';
</strong><strong>
</strong><strong>// Use "ITokenSSO" with your own
</strong><strong>
</strong><strong>//Ex: You want to store user details in state and you need to type.
</strong><strong>const [user,setUser] = useState&#x3C;ITokenSSO.TSSOProvider.ISSOUserDetails>({}) ;
</strong><strong>
</strong></code></pre>

{% endtab %}
{% endtabs %}

***

## References

### ISSOUserDetails

| key        | type   |
| ---------- | ------ |
| merchantId | string |
| userId     | string |
| email      | string |
| name       | string |

### ILoginProps

| key         | type   | required |
| ----------- | ------ | -------- |
| redirectUri | string | no       |

### ILogoutProps

| key          | type    | required |
| ------------ | ------- | -------- |
| withRedirect | boolean | no       |
| redirectUri  | string  | no       |

### IProviderProps

| key         | type      | required |
| ----------- | --------- | -------- |
| children    | ReactNode | yes      |
| providerUrl | string    | yes      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.tokeninc.com/token-developer-portal-1/x-platform/token-x-admin-panel-integrations/authentication-integration/internal/typescript.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
